Bug 988367 - 32 bit Applications not working properly despite mount option enable-ino32 [NEEDINFO]
32 bit Applications not working properly despite mount option enable-ino32
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: fuse (Show other bugs)
3.4.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 08:15 EDT by markus
Modified: 2015-10-07 08:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 08:22:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ndevos: needinfo? (markus)


Attachments (Terms of Use)

  None (edit)
Description markus 2013-07-25 08:15:54 EDT
Description of problem:
To get 32 bit thunderbird and firefox working I used a mount Option like this:
mount -t glusterfs -o enable-ino32 localhost:/centos5_pmaster /glusterfsmnt

Coping /home/markus and symlinking /home/markus into /glusterfs/markus

Version-Release number of selected component (if applicable):
CentOS 5.9
glusterfs 3.4
replica 2
firefox 17.0.4 esr 32-bit

How reproducible:

starting firefox, which telling about blocked bookmarks (places.sqlite database)

Actual results:
No bookmarks because Problem with places.sqlite file/database.

Expected results:
Working like 64bit Firefox over regular glusterfs-fuse-mount.

Additional info:

logs comming soon, collecting data
Comment 1 Niels de Vos 2014-09-27 13:47:19 EDT
This possibly is related to the following Firefox bug:
- https://bugzilla.mozilla.org/show_bug.cgi?id=433129

Have you tried enabling the storage.nfs_filesystem preference?
Comment 2 Niels de Vos 2015-05-17 18:00:31 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 3 Kaleb KEITHLEY 2015-10-07 08:22:36 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.